pcl::InterestPoint Struct Reference
Module common

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float strength
} |
float data_c [4]
}; |

## Friends

EIGEN_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream & | operator<< (std::ostream &os, const InterestPoint &p)

## Detailed Description

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value.

Definition at line 731 of file point_types.hpp.

## Friends And Related Function Documentation

EIGEN_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream& operator<< | ( | std::ostream & | os,
|  | const InterestPoint & | p
| ) |  |

friend

## Member Data Documentation

union { ... }

float pcl::InterestPoint::data_c[4]

Definition at line 740 of file point_types.hpp.

pcl::InterestPoint::PCL_ADD_POINT4D

Definition at line 733 of file point_types.hpp.

float pcl::InterestPoint::strength

Definition at line 738 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp